Get a learning assignment for the specified learner

get

/hcmRestApi/resources/11.13.18.05/learningAssignmentProfiles/{learningAssignmentProfilesUniqID}

Request

Path Parameters
  • This is the hash key of the attributes which make up the composite key for the Learning Assignment Profiles resource and used to uniquely identify an instance of Learning Assignment Profiles. The client should not generate the hash key value. Instead, the client should query on the Learning Assignment Profiles collection resource in order to navigate to a specific instance of Learning Assignment Profiles to get the hash key.
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • This header accepts a string value. The string is a semi-colon separated list of =. It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers.
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : learningAssignmentProfiles-item-response
Type: object
Show Source
Nested Schema : assignmentDFF
Type: array
Show Source
Nested Schema : Assignment Profiles
Type: array
Title: Assignment Profiles
The assignment profile records associated with the learning assignment.
Show Source
Nested Schema : Leaning Assignment Profile Criteria
Type: array
Title: Leaning Assignment Profile Criteria
The learningAssignmentProfileCriteria resource associates 1 or more learners with a learning item.
Show Source
Nested Schema : Noncatalog Learning Item
Type: array
Title: Noncatalog Learning Item
The learning item details required to create noncatalog requests or record external learning under the assignment profile.
Show Source
Nested Schema : Related Materials
Type: array
Title: Related Materials
The relatedMaterials resource provides a list of related learning material for its parent resource. It's also used to add and remove related material.
Show Source
Nested Schema : learningAssignmentProfiles-assignmentDFF-item-response
Type: object
Show Source
Nested Schema : learningAssignmentProfiles-assignmentProfileRecords-item-response
Type: object
Show Source
Nested Schema : learningAssignmentProfiles-learningAssignmentProfileCriteria-item-response
Type: object
Show Source
Nested Schema : Learning Contributor Person List Attachment
Type: array
Title: Learning Contributor Person List Attachment
The personAttachment resource is used to attach the list of person IDs or person emails for the recipients getting assignments generated by the specified assignment profile.
Show Source
Nested Schema : learningAssignmentProfiles-learningAssignmentProfileCriteria-personAttachment-item-response
Type: object
Show Source
Nested Schema : learningAssignmentProfiles-learningItem-item-response
Type: object
Show Source
Nested Schema : learningItemDFF
Type: array
Show Source
Nested Schema : learningAssignmentProfiles-learningItem-learningItemDFF-item-response
Type: object
Show Source
Nested Schema : learningAssignmentProfiles-relatedMaterials-item-response
Type: object
Show Source
Nested Schema : Attachments
Type: array
Title: Attachments
The attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : learningAssignmentProfiles-relatedMaterials-relatedMaterialsBinaries-item-response
Type: object
Show Source
Back to Top